Skip to main content
GET
/
rr
/
api
/
v1
/
contracts
/
{id}
Retrieve Contract
curl --request GET \
  --url https://api.meetcampfire.com/rr/api/v1/contracts/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/rr/api/v1/contracts/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/rr/api/v1/contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "entity_name": "<string>",
  "client_name": "<string>",
  "client_terms": "<string>",
  "department_name": "<string>",
  "parent_department_name": "<string>",
  "parent_department": 123,
  "total_revenue": 0,
  "total_mrr": 0,
  "total_deferred_revenue": 0,
  "attachments": [
    {
      "id": 123,
      "customer": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": 123,
      "created_by_name": "<string>",
      "created_by_email": "<string>",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "url": "<string>",
      "s3_path": "<string>",
      "app": "<string>",
      "model": "<string>",
      "is_deleted": false,
      "deleted_at": "2023-11-07T05:31:56Z",
      "s3_content_type": "<string>",
      "s3_content_length": 1073741823,
      "object_id": 1073741823
    }
  ],
  "last_modified_at": "2023-11-07T05:31:56Z",
  "is_deleted": "<string>",
  "deleted_at": "<string>",
  "has_invoices": false,
  "has_journal_entries": false,
  "has_credit_memos": false,
  "effective_end_date": "2023-12-25",
  "working_end_date": "2023-12-25",
  "evergreen_locked_date": "2023-12-25",
  "search_vector": "<string>",
  "search_text": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "customer": 123,
  "tags": "<string>",
  "currency": "USD",
  "entity_currency": "USD",
  "contract_end_date": "2023-12-25",
  "is_evergreen": false,
  "auto_send_invoices": false,
  "skip_evergreen_invoice_generation": false,
  "auto_apply_customer_stripe_config_to_invoices": false,
  "usage_tiers": "<string>",
  "deal_name": "<string>",
  "deal_id": "<string>",
  "consultant": "<string>",
  "closed_date": "2023-12-25",
  "total_contract_value": 0,
  "contract_start_date": "2023-12-25",
  "exchange_rate": 0,
  "exchange_rate_book": 0,
  "crm_link": "<string>",
  "contract_link": "<string>",
  "source_deal_data": null,
  "auto_renew": true,
  "auto_renew_duration": -1,
  "auto_renew_invoice": true,
  "tag_ids": [
    0
  ],
  "tag_group_ids": [
    0
  ],
  "minimum_monthly_commitment_amount": 0,
  "minimum_monthly_commitment_quantity": 0,
  "purchase_order_number": "<string>",
  "entity": 123,
  "client": 123,
  "department": 123,
  "journal_entries": [
    123
  ]
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Response

200 - application/json
id
integer
required
read-only
entity_name
string
required
read-only
client_name
string
required
read-only
client_terms
string
required
read-only
department_name
string
required
read-only
parent_department_name
string
required
read-only
parent_department
integer
required
read-only
total_revenue
number<double>
required
read-only
Required range: -10000000000000 < x < 10000000000000
total_mrr
number<double>
required
read-only
Required range: -10000000000000 < x < 10000000000000
total_deferred_revenue
number<double>
required
read-only
Required range: -10000000000000 < x < 10000000000000
attachments
object[]
required
read-only
last_modified_at
string<date-time>
required
read-only
is_deleted
string
required
read-only
deleted_at
string
required
read-only
has_invoices
boolean
default:false
required
read-only
has_journal_entries
boolean
default:false
required
read-only
has_credit_memos
boolean
default:false
required
read-only
effective_end_date
string<date>
required
read-only

Rolling horizon end date for active evergreen contracts. It will be auto-generated by Campfire backend. Null for standard contracts.

working_end_date
string<date>
required
read-only

Canonical end date used by the system. Equals contract_end_date for standard or terminated contracts, and effective_end_date for active evergreen contracts.

evergreen_locked_date
string<date> | null
required
read-only

Inclusive lock date for evergreen contracts based on paid invoices and close books date. Dates on or before this value are immutable. Null for non-evergreen contracts, or when no financial locking events exist.

search_vector
string | null
required
read-only
search_text
string | null
required
read-only
created_at
string<date-time>
required
read-only
customer
integer
required
read-only
tags
string
currency
string
default:USD
entity_currency
string
default:USD
contract_end_date
string<date> | null

Fixed end date for standard contracts. Leave null for evergreen contracts (is_evergreen=true).

is_evergreen
boolean
default:false

Set true for evergreen contracts (no fixed end date). Evergreen contracts cannot also be auto-renew. Auto-renew is a legacy method to extend contracts.

auto_send_invoices
boolean
default:false

When true, generated invoices are automatically sent on their invoice date.

skip_evergreen_invoice_generation
boolean
default:false

For Evergreen contracts only. Set at contract creation; existing contracts cannot change this setting. False means current behavior. True skips only Campfire's auto-generated evergreen invoices; revenue transactions still generate; existing invoices are not cleaned up.

auto_apply_customer_stripe_config_to_invoices
boolean
default:false

Evergreen contracts only. When true, evergreen-generated invoices inherit stripe_connection and use_stripe_auto_bill from the contract customer.

usage_tiers
string
billing_frequency
enum<string>
  • monthly - Monthly
  • quarterly - Quarterly
  • biannual - Bi Annualy
  • annual - Annual
  • one_time - One Time
  • custom - Custom
Available options:
monthly,
quarterly,
biannual,
annual,
one_time,
custom
deal_name
string | null
Maximum string length: 250
deal_id
string | null
Maximum string length: 250
consultant
string | null
Maximum string length: 250
closed_date
string<date> | null
total_contract_value
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
contract_start_date
string<date> | null
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
Maximum string length: 500
Maximum string length: 500
status
enum<string>
  • ACTIVE - Active
  • PENDING - Pending
  • COMPLETED - Completed
  • DELETED - Deleted
Available options:
ACTIVE,
PENDING,
COMPLETED,
DELETED
source
enum<string>
  • SALESFORCE - Salesforce
  • HUBSPOT - Hubspot
  • STRIPE - Stripe
  • MANUAL - Manual
Available options:
SALESFORCE,
HUBSPOT,
STRIPE,
MANUAL
source_deal_data
unknown
auto_renew
boolean
auto_renew_duration
integer | null
Required range: -2147483648 <= x <= 2147483647
auto_renew_invoice
boolean
tag_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
tag_group_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
minimum_monthly_commitment_amount
number<double> | null

Minimum monthly commitment amount (allowance threshold)

Required range: -1000000000000000000 < x < 1000000000000000000
minimum_monthly_commitment_quantity
number<double> | null

Minimum monthly commitment quantity (allowance threshold in units)

Required range: -1000000000000000000 < x < 1000000000000000000
purchase_order_number
string | null
Maximum string length: 120
entity
integer | null
client
integer | null
department
integer | null
journal_entries
integer[]